Index: palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3217)
+++ palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3217 2018-08-29 12:53:59Z suehring
 ! Revise calculation of index bounds for array index_list, prevent compiler 
 ! (cray) to delete the loop at high optimization level.  
@@ -703,7 +706,5 @@
 #if defined( __parallel )
 
-    INTEGER(iwp)         ::  ierr         !<
-    INTEGER(iwp)         ::  istat        !<
-    INTEGER(iwp)         ::  pmc_status   !<
+    INTEGER(iwp) ::  pmc_status   !<
 
 
@@ -827,6 +828,4 @@
     INTEGER(iwp) ::  child_id         !<
     INTEGER(iwp) ::  ierr             !<
-    INTEGER(iwp) ::  i                !<
-    INTEGER(iwp) ::  j                !<
     INTEGER(iwp) ::  k                !<
     INTEGER(iwp) ::  m                !<
@@ -1082,6 +1081,4 @@
        INTEGER(iwp) ::  j                  !<
        INTEGER(iwp) ::  k                  !<
-       INTEGER(iwp) ::  m                  !<
-       INTEGER(iwp) ::  n                  !<
        INTEGER(iwp) ::  npx                !<
        INTEGER(iwp) ::  npy                !<
@@ -1560,7 +1557,5 @@
 
        INTEGER(iwp) ::  i       !<
-       INTEGER(iwp) ::  i1      !<
        INTEGER(iwp) ::  j       !<
-       INTEGER(iwp) ::  j1      !<
        INTEGER(iwp) ::  k       !<
        INTEGER(iwp) ::  kc      !<
@@ -1675,12 +1670,8 @@
        INTEGER(iwp) ::  dum            !< dummy value for reduce operation
        INTEGER(iwp) ::  i              !<
-       INTEGER(iwp) ::  icorr          !<
        INTEGER(iwp) ::  ierr           !< MPI status
        INTEGER(iwp) ::  inc            !< Wall outward-normal index increment -1
                                        !< or 1, for direction=1, inc=1 always
-       INTEGER(iwp) ::  iw             !<
        INTEGER(iwp) ::  j              !<
-       INTEGER(iwp) ::  jcorr          !<
-       INTEGER(iwp) ::  jw             !<
        INTEGER(iwp) ::  k              !<
        INTEGER(iwp) ::  k_wall_u_ji    !< topography top index on u-grid
@@ -1694,7 +1685,5 @@
        INTEGER(iwp) ::  k_wall_w_ji_m  !< topography top index on w-grid
        INTEGER(iwp) ::  kb             !<
-       INTEGER(iwp) ::  kcorr          !<
        INTEGER(iwp) ::  lc             !<
-       INTEGER(iwp) ::  m              !< Running index for surface data type
        INTEGER(iwp) ::  ni             !<
        INTEGER(iwp) ::  nj             !<
@@ -3491,8 +3480,6 @@
 #if defined( __parallel )
     INTEGER(iwp) ::  ierr        !<
-    INTEGER(iwp) ::  istat       !<
 
     REAL(wp), POINTER, DIMENSION(:,:)     ::  p_2d        !<
-    REAL(wp), POINTER, DIMENSION(:,:)     ::  p_2d_sec    !<
     REAL(wp), POINTER, DIMENSION(:,:,:)   ::  p_3d        !<
     REAL(wp), POINTER, DIMENSION(:,:,:)   ::  p_3d_sec    !<
@@ -3680,5 +3667,4 @@
 #if defined( __parallel )
     INTEGER(iwp) ::  ierr    !<
-    INTEGER(iwp) ::  istat   !<
 
     REAL(wp), POINTER,DIMENSION(:,:)       ::  p_2d    !<
@@ -4360,8 +4346,6 @@
     IMPLICIT NONE
 
-    INTEGER(iwp)           ::  ierr   !<
-    INTEGER(iwp)           ::  istat  !<
-
     CHARACTER(LEN=*), INTENT(IN) ::  local_nesting_mode
+
 
     IF ( TRIM( local_nesting_mode ) == 'one-way' )  THEN
@@ -4413,12 +4397,7 @@
     INTEGER(iwp) ::  child_id    !<
     INTEGER(iwp) ::  i           !<
-    INTEGER(iwp) ::  ierr        !<
     INTEGER(iwp) ::  j           !<
     INTEGER(iwp) ::  k           !<
     INTEGER(iwp) ::  m           !<
-
-    REAL(wp)               ::  waittime    !<
-    REAL(wp), DIMENSION(1) ::  dtc         !<
-    REAL(wp), DIMENSION(1) ::  dtl         !<
 
 
@@ -4482,5 +4461,4 @@
 
 #if defined( __parallel )
-    INTEGER(iwp) ::  ierr        !<
     INTEGER(iwp) ::  icl         !<
     INTEGER(iwp) ::  icr         !<
@@ -4489,5 +4467,4 @@
     
     REAL(wp), DIMENSION(1) ::  dtl         !<
-    REAL(wp), DIMENSION(1) ::  dts         !<
 
 
@@ -5150,4 +5127,6 @@
 
       IMPLICIT NONE
+
+      INTEGER(iwp) ::  nzt_topo_nestbc   !<
 
       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
@@ -5170,5 +5149,4 @@
                                           INTENT(IN)           ::  logc   !<
       INTEGER(iwp), DIMENSION(1:2,nys:nyn), INTENT(IN)         ::  logc_kbounds !<
-      INTEGER(iwp) ::  nzt_topo_nestbc   !<
 
       CHARACTER(LEN=1), INTENT(IN) ::  edge   !<
@@ -5178,10 +5156,8 @@
       INTEGER(iwp) ::  ib       !<
       INTEGER(iwp) ::  ibgp     !<
-      INTEGER(iwp) ::  iw       !<
       INTEGER(iwp) ::  j        !<
       INTEGER(iwp) ::  jco      !<
       INTEGER(iwp) ::  jcorr    !<
       INTEGER(iwp) ::  jinc     !<
-      INTEGER(iwp) ::  jw       !<
       INTEGER(iwp) ::  j1       !<
       INTEGER(iwp) ::  k        !<
@@ -5193,9 +5169,5 @@
       INTEGER(iwp) ::  m        !<
       INTEGER(iwp) ::  n        !<
-      INTEGER(iwp) ::  kbc      !<
       
-      REAL(wp) ::  coarse_dx   !<
-      REAL(wp) ::  coarse_dy   !<
-      REAL(wp) ::  coarse_dz   !<
       REAL(wp) ::  fkj         !<
       REAL(wp) ::  fkjp        !<
@@ -5371,4 +5343,6 @@
       IMPLICIT NONE
 
+      INTEGER(iwp) ::  nzt_topo_nestbc   !<
+
       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
                                       INTENT(INOUT) ::  f             !<
@@ -5390,5 +5364,4 @@
                                           INTENT(IN)           ::  logc  !<
       INTEGER(iwp), DIMENSION(1:2,nxl:nxr), INTENT(IN)         ::  logc_kbounds  !< 
-      INTEGER(iwp) ::  nzt_topo_nestbc   !<
 
       CHARACTER(LEN=1), INTENT(IN) ::  edge   !<
@@ -5412,7 +5385,4 @@
       INTEGER(iwp) ::  n       !<
                             
-      REAL(wp) ::  coarse_dx   !<
-      REAL(wp) ::  coarse_dy   !<
-      REAL(wp) ::  coarse_dz   !<
       REAL(wp) ::  fk          !<
       REAL(wp) ::  fkj         !<
@@ -5614,7 +5584,4 @@
       INTEGER(iwp) ::  n   !<
       
-      REAL(wp) ::  coarse_dx   !<
-      REAL(wp) ::  coarse_dy   !<
-      REAL(wp) ::  coarse_dz   !<
       REAL(wp) ::  fk          !<
       REAL(wp) ::  fkj         !<
@@ -5695,6 +5662,4 @@
        CHARACTER(LEN=*), INTENT(IN) ::  var   !< identifyer for treated variable
 
-       INTEGER(iwp), DIMENSION(0:kct,jcs:jcn,icl:icr), INTENT(IN) :: ijkfc !< number of child grid points contributing to a parent grid box
-
        INTEGER(iwp) ::  i         !< Running index x-direction - fine-grid
        INTEGER(iwp) ::  ii        !< Running index x-direction - coarse grid
@@ -5718,4 +5683,6 @@
        INTEGER(iwp), DIMENSION(0:kct), INTENT(IN)   ::  kfl !< Indicates start index of child cells belonging to certain parent cell - z direction
        INTEGER(iwp), DIMENSION(0:kct), INTENT(IN)   ::  kfu !< Indicates start index of child cells belonging to certain parent cell - z direction
+
+       INTEGER(iwp), DIMENSION(0:kct,jcs:jcn,icl:icr), INTENT(IN) :: ijkfc !< number of child grid points contributing to a parent grid box
 
        REAL(wp) ::  cellsum   !< sum of respective child cells belonging to parent cell 
